GNU bug report logs - #46327
28.0.50; octave-mode: transpose-quotes taken as string-quotes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juang Dse <juangdse@HIDDEN>; dated Fri, 5 Feb 2021 14:04:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46327 <at> debbugs.gnu.org:


Received: (at 46327) by debbugs.gnu.org; 7 Feb 2021 20:36:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 15:36:15 2021
Received: from localhost ([127.0.0.1]:48939 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8qn1-0002sa-Lu
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 15:36:15 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39634)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l8qmz-0002sE-4I
 for 46327 <at> debbugs.gnu.org; Sun, 07 Feb 2021 15:36:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=mOX1/8GOlJqxKdnk6A7szu5geRumVLKAOyaumXUPJ9Y=; b=oyumMA2peDt9CnGftcpP8NgzK6
 bt3YS2A9oEoZ+sGvOCnj8R3qfykuDkLbXVVI5boMGm0E9R3GNLDNsvAzfiQLbolfOKHN1VFlRwAEL
 gZJdHgggXD78M8lrt2pVpV5DQkNQiZYT1X4AJwOoPyTlpJtr+QSxFePKa9ngyjGnETM8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l8qmn-0004dq-5D; Sun, 07 Feb 2021 21:36:06 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#46327: 28.0.50; octave-mode: transpose-quotes taken as
 string-quotes
References: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
 <87a6sg6n88.fsf@HIDDEN>
 <CAGEcx2Qb_eW0t9V6h8_2UcHnywwR3FwOmGe6+mP5tJzTVf5bAA@HIDDEN>
 <87tuqo3r33.fsf@HIDDEN> <87wnvkndbk.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX+/v23ppzg2NJz
 iqsvLSltcoNcWFdQQjCqZEvNnFn///9YxsTrAAAAAWJLR0QKaND0VgAAAAd0SU1FB+UCBxQhJij3
 0PoAAAGvSURBVDjLvZJBb9pAEIVtpKJww4AE3Nwe0voYTbKBI+nIc40alJIbBQefQ1beKzGKBDcb
 VNXzb7NuaWKbzbGd4zx9OzvznmX937Ldd4TzK3P/A6IZCRCNSB3RjAToh7g0TCB1f4t0LMTfo1DR
 qHW0Q3wSIapmVhW8uKvmY7XKmuV+jR2K4ELdZ2lZ+JQ64RzgdpE5pR83Ei+uA4C4zlpeUQgTEdsg
 ANxfUy9565/iGpe99WQ/bHV9L3qbLCXi42a76T9xgAucvgK6TzBh7m9TQYT+65UiiXMYsq42BArl
 ATkN0ffhYsvru2wPApU6IN1ABV9hsGE4YwaQig5TbIr0CNhsbwa5gJLU7A8yViTnMOBn5jVc6o+E
 7l+zSZIenv0erm88KritHlgLaSpk0eA6/lz8YIdTZ9eRYTESd4mYfmwP22dNfRJZuG8j+bKy9XXB
 7a0au5If2aqj/RDL3q5RMsTmFH29HPW54m3/KZQ3AkcTrmROp0T6gZyOE6tScR5RmnXcqlDTW6KK
 vh1HMV8ZyT0W6qQlQ6j1W8oI5FkxAjliBizr88zct2rvAP+sXgDbg4Y8kXJhqgAAACV0RVh0ZGF0
 ZTpjcmVhdGUAMjAyMS0wMi0wN1QyMDozMzozOCswMDowMLwirJ0AAAAldEVYdGRhdGU6bW9kaWZ5
 ADIwMjEtMDItMDdUMjA6MzM6MzgrMDA6MDDNfxQhAAAAAElFTkSuQmCC
X-Now-Playing: Azitiz's _Carbon Logic_: "What Is Love (Original)"
Date: Sun, 07 Feb 2021 21:36:00 +0100
In-Reply-To: <87wnvkndbk.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sun, 07 Feb 2021 14:48:47 +0000")
Message-ID: <87v9b3y5sf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  "Basil L. Contovounesios" <contovob@HIDDEN> writes: > I'm
 new to Octave, so I could be wrong, but AFAIK single-quoted string > literals
 do not support line continuations. The only special construct > they may
 contain is '' which inserts a single '. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46327
Cc: Juang Dse <juangdse@HIDDEN>, 46327 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> I'm new to Octave, so I could be wrong, but AFAIK single-quoted string
> literals do not support line continuations.  The only special construct
> they may contain is '' which inserts a single '.

Thanks; I guess that should make it possible to distinguish between the
transpose operator and single-quoted strings (and the '' quoting sounds
quite similar to how SQL quotes single quotes, so the code to handle
that could be cribbed from sql.el).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46327; Package emacs. Full text available.

Message received at 46327 <at> debbugs.gnu.org:


Received: (at 46327) by debbugs.gnu.org; 7 Feb 2021 15:16:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 10:16:22 2021
Received: from localhost ([127.0.0.1]:48474 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8lnS-0003Kv-1D
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 10:16:22 -0500
Received: from mail-qk1-f176.google.com ([209.85.222.176]:33705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juangdse@HIDDEN>) id 1l8lnP-0003Ki-43
 for 46327 <at> debbugs.gnu.org; Sun, 07 Feb 2021 10:16:20 -0500
Received: by mail-qk1-f176.google.com with SMTP id x81so12037671qkb.0
 for <46327 <at> debbugs.gnu.org>; Sun, 07 Feb 2021 07:16:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=QoUmOJH2xPHWs9jRomD5n4Bku9PaPJHDKd/6+59rZZ0=;
 b=X3U1WMeGhuUU+t/V0xYeNNUEnunSxVwYlLSLvEyKNRan59lAfJKFBca6Xc48Cpkr/z
 iesrLeSTbQpAYlvIv22UsVAGLGekB8eTloRr7N1VxgGmv8qmLbqg4Is1NvNMzstJ0vlP
 mXpmtWK3KGh1W6anrGpmC0iv7CT/KThhGnrJrDS2DzND3pzrnAJ5iTqTvte1FarBTHwL
 kflTQfK6zfLQxl5fIqlcdXZpc34ca2SePX9ZfihHSg7lK5jKRrLy0L+wwKo4TxgH1k4m
 E72Oa4hpnw0pyBbuy7qWooKAwGsSJR3MMLSDYm88Z1SjP//a3fRb15qUUnNYpSUmyT0M
 vbKg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=QoUmOJH2xPHWs9jRomD5n4Bku9PaPJHDKd/6+59rZZ0=;
 b=eq3327tbO2asdfe9RaNV7XusQWyNSjUodpHMc9bjY6UyPFEJuxsyS7cDZxU0V8VeQ/
 9nOUkSRSkDVFsMyo3GOT5EpFOFPCYENVWVYBpycjhff0rQBr8TCAjaTsiF2o5l4iN6VW
 lm/siiz796foh23eaEcc6N957uFXa2rCx/8bK2KBuKfUbPOVahk2LySLA/eSVR5IbwX9
 YrGSCQeZwjVd9E9DBN2Hnc8bPnfYg1MzfMg+ZKLCjZM7ncJEqknSebxgm/tGUmlcI+pI
 99fy3XfTx1DWuD69GsgW3HC6uybDzqt1c+iOW1I1mvvzEK74Zx7MZmrEXH+0kMmG1YI6
 i3ig==
X-Gm-Message-State: AOAM532rrr5aHBXDh9ogjoSlOnxgGA4ERjnCubYU76t4O6CNM6uKM1/1
 sNe6ZHKy0ynSyPH+P6PPJym8CIaXUSs1fMEYs1I=
X-Google-Smtp-Source: ABdhPJytHpnlfVU6jmvnZL784XNMWflclfmgRmjnWCaPDF/Awmi8ZMDYDT3FZqnhp35/ZE3HfCSL5uMtY3YDuc31Nsw=
X-Received: by 2002:a05:620a:14b4:: with SMTP id
 x20mr12855083qkj.341.1612710973450; 
 Sun, 07 Feb 2021 07:16:13 -0800 (PST)
MIME-Version: 1.0
References: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
 <87a6sg6n88.fsf@HIDDEN>
 <CAGEcx2Qb_eW0t9V6h8_2UcHnywwR3FwOmGe6+mP5tJzTVf5bAA@HIDDEN>
 <87tuqo3r33.fsf@HIDDEN> <87wnvkndbk.fsf@HIDDEN>
In-Reply-To: <87wnvkndbk.fsf@HIDDEN>
From: Juang Dse <juangdse@HIDDEN>
Date: Sun, 7 Feb 2021 16:16:06 +0100
Message-ID: <CAGEcx2QcASN7TAy+f6BNpUe_uS7hH8KAMeiF5y_yUz=afiuQcg@HIDDEN>
Subject: Re: bug#46327: 28.0.50;
 octave-mode: transpose-quotes taken as string-quotes
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46327
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 46327 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

That basically describes continuation, thx.

I noticed that the behavior of bug 25517 only occurs in the inferior
buffer. The octave buffer itself has everything right.

On Sun, Feb 7, 2021 at 3:48 PM Basil L. Contovounesios <contovob@HIDDEN> wr=
ote:
>
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
> > Juang Dse <juangdse@HIDDEN> writes:
> >
> >> Note that the ' character as a string occurs only in pairs, which is
> >> (hopefully) unambiguous.
> >
> > Can an Octave string span several lines?  In that case, it's ambiguous
> > whether
> >
> > x =3D [2 2]'
> > disp(x)
> >
> > is a transpose character, or an error (with a forgotten ' somewhere), I
> > guess.
>
> I'm new to Octave, so I could be wrong, but AFAIK single-quoted string
> literals do not support line continuations.  The only special construct
> they may contain is '' which inserts a single '.
>
> Quoth (info "(octave) Strings"):
>
>      Since the single-quote mark is also used for the transpose operator
>   (*note Arithmetic Ops) but double-quote marks have no other purpose in
>   Octave, it is best to use double-quote marks to denote strings.
>
> Quoth (info "(octave) Escape Sequences in String Constants"):
>
>   In double-quoted strings, the backslash character is used to introduce
>   =E2=80=9Cescape sequences=E2=80=9D that represent other characters.  Fo=
r example, =E2=80=98\n=E2=80=99
>   embeds a newline character in a double-quoted string and =E2=80=98\"=E2=
=80=99 embeds a
>   double quote character.  In single-quoted strings, backslash is not a
>   special character.  Here is an example showing the difference:
>
>   [...]
>
>      In a single-quoted string there is only one escape sequence: you may
>   insert a single quote character using two single quote characters in
>   succession.  For example,
>
>        'I can''t escape'
>            =E2=87=92 I can't escape
>
> Quoth (info "(octave) Continuation Lines"):
>
>   In the Octave language, most statements end with a newline character an=
d
>   you must tell Octave to ignore the newline character in order to
>   continue a statement from one line to the next.  Lines that end with th=
e
>   characters =E2=80=98...=E2=80=99 are joined with the following line bef=
ore they are
>   divided into tokens by Octave=E2=80=99s parser.  For example, the lines
>
>        x =3D long_variable_name ...
>            + longer_variable_name ...
>            - 42
>
>   form a single statement.
>
>      Any text between the continuation marker and the newline character i=
s
>   ignored.  For example, the statement
>
>        x =3D long_variable_name ...    # comment one
>            + longer_variable_name ...comment two
>            - 42                      # last comment
>
>   is equivalent to the one shown above.
>
>      Inside double-quoted string constants, the character =E2=80=98\=E2=
=80=99 has to be
>   used as continuation marker.  The =E2=80=98\=E2=80=99 must appear at th=
e end of the line
>   just before the newline character:
>
>        s =3D "This text starts in the first line \
>        and is continued in the second line."
>
> Apparently ellipsis continuation lines were also once supported in
> double-quoted string literals:
>
>   octave:1> "foo ...RET
>   warning: '...' continuations in double-quoted character strings are
>   obsolete and will not be allowed in a future version of Octave;
>   please use '\' instead
>
> HTH,
>
> --
> Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46327; Package emacs. Full text available.

Message received at 46327 <at> debbugs.gnu.org:


Received: (at 46327) by debbugs.gnu.org; 7 Feb 2021 14:49:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 09:49:01 2021
Received: from localhost ([127.0.0.1]:47233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8lMx-0002Mw-Lu
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 09:49:01 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:43432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1l8lMv-0002Mi-0t
 for 46327 <at> debbugs.gnu.org; Sun, 07 Feb 2021 09:48:58 -0500
Received: by mail-wr1-f52.google.com with SMTP id z6so14020749wrq.10
 for <46327 <at> debbugs.gnu.org>; Sun, 07 Feb 2021 06:48:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=DvWHXv2KGaR8Y59HZY9LXrvQiDAj8v+1pA7y4ylBOe0=;
 b=Gpc6SMpTu6gN+OC9A5wmcI/vvvkiHOiH6D5OWWVAmJLp6ClaaF8DQLyhPdWl2V48cW
 cduaCnkAqOul9I0Ixx/H6uBLJCyM4aYCYSdMejTCRQpwtUqXJq3/hapjehyeIQILVdcj
 l3ABfLgfxZiYk+Xu8SJ7pFXmXTAbpKN5GB+M17CkOqAT5NvkOuoqlDoDoHXY2gSi8mYS
 M72B72bj9l+4x+3B3cnTO4RAKSQiRiAK2EpBTRYT+BYeGWMyF7Zr4LEBM6NP6q7pRmPh
 vJq4ra7QZxRiQOAOQwBShFt735R1qWiQ9m2kY9u2Vxciy1BoiXEfMxuslmi4nRGkJtgF
 cUXA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=DvWHXv2KGaR8Y59HZY9LXrvQiDAj8v+1pA7y4ylBOe0=;
 b=BT9Umc8QFQ+3KP9F1RVxw4c4l7O2d3m3ksMOTmyQ+1bmEIxw2GOaiZP3ArCnSpvJPN
 PsuatxPBHXqgC8mBBft/pzQX1FK7zt7e9aoSt0XN6ljpYxZHn1rd4GpID/HCCv+dZui4
 glyp9+fk1VlYdN3UUsGXzEthUmAXgOCM8phYLy7GC3kOtL309DTQgAPGoEnWg9UJv8Lq
 xMGbIv8z0X6Y8LtJOyhmZE549BmxctFDcS/q3pDp3T1LBdIL90+ppBOBb5a8j/B4FhkN
 5qXJI1GBZ3TUNKbzrOjju7t793UBLh4OOgGtiBlKvZIJpe+01UJFonAxVnKDEUEfmAi9
 dN0g==
X-Gm-Message-State: AOAM530/GDGnTfP74dw28gbWkuccqwR1vrE9At39KSTNXbCt0Il+lcHc
 ZSTwibXA7emBJrdd1rXPbC4/fw==
X-Google-Smtp-Source: ABdhPJw9lNaw/zbzwAmGWti9+SJOJnlKdwmCO4EXhpZUMiA+EwwBeEyzsAsN5NdE75BR9sb1eZYGdA==
X-Received: by 2002:adf:e809:: with SMTP id o9mr1916329wrm.137.1612709330967; 
 Sun, 07 Feb 2021 06:48:50 -0800 (PST)
Received: from localhost ([109.79.18.224])
 by smtp.gmail.com with ESMTPSA id i20sm15132491wmq.7.2021.02.07.06.48.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 07 Feb 2021 06:48:49 -0800 (PST)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#46327: 28.0.50; octave-mode: transpose-quotes taken as
 string-quotes
References: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
 <87a6sg6n88.fsf@HIDDEN>
 <CAGEcx2Qb_eW0t9V6h8_2UcHnywwR3FwOmGe6+mP5tJzTVf5bAA@HIDDEN>
 <87tuqo3r33.fsf@HIDDEN>
Date: Sun, 07 Feb 2021 14:48:47 +0000
In-Reply-To: <87tuqo3r33.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 07 Feb 2021 15:11:44 +0100")
Message-ID: <87wnvkndbk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46327
Cc: Juang Dse <juangdse@HIDDEN>, 46327 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Juang Dse <juangdse@HIDDEN> writes:
>
>> Note that the ' character as a string occurs only in pairs, which is
>> (hopefully) unambiguous.
>
> Can an Octave string span several lines?  In that case, it's ambiguous
> whether
>
> x =3D [2 2]'
> disp(x)
>
> is a transpose character, or an error (with a forgotten ' somewhere), I
> guess.

I'm new to Octave, so I could be wrong, but AFAIK single-quoted string
literals do not support line continuations.  The only special construct
they may contain is '' which inserts a single '.

Quoth (info "(octave) Strings"):

     Since the single-quote mark is also used for the transpose operator
  (*note Arithmetic Ops) but double-quote marks have no other purpose in
  Octave, it is best to use double-quote marks to denote strings.

Quoth (info "(octave) Escape Sequences in String Constants"):

  In double-quoted strings, the backslash character is used to introduce
  =E2=80=9Cescape sequences=E2=80=9D that represent other characters.  For =
example, =E2=80=98\n=E2=80=99
  embeds a newline character in a double-quoted string and =E2=80=98\"=E2=
=80=99 embeds a
  double quote character.  In single-quoted strings, backslash is not a
  special character.  Here is an example showing the difference:

  [...]

     In a single-quoted string there is only one escape sequence: you may
  insert a single quote character using two single quote characters in
  succession.  For example,

       'I can''t escape'
           =E2=87=92 I can't escape

Quoth (info "(octave) Continuation Lines"):

  In the Octave language, most statements end with a newline character and
  you must tell Octave to ignore the newline character in order to
  continue a statement from one line to the next.  Lines that end with the
  characters =E2=80=98...=E2=80=99 are joined with the following line befor=
e they are
  divided into tokens by Octave=E2=80=99s parser.  For example, the lines

       x =3D long_variable_name ...
           + longer_variable_name ...
           - 42

  form a single statement.

     Any text between the continuation marker and the newline character is
  ignored.  For example, the statement

       x =3D long_variable_name ...    # comment one
           + longer_variable_name ...comment two
           - 42                      # last comment

  is equivalent to the one shown above.

     Inside double-quoted string constants, the character =E2=80=98\=E2=80=
=99 has to be
  used as continuation marker.  The =E2=80=98\=E2=80=99 must appear at the =
end of the line
  just before the newline character:

       s =3D "This text starts in the first line \
       and is continued in the second line."

Apparently ellipsis continuation lines were also once supported in
double-quoted string literals:

  octave:1> "foo ...RET
  warning: '...' continuations in double-quoted character strings are
  obsolete and will not be allowed in a future version of Octave;
  please use '\' instead

HTH,

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46327; Package emacs. Full text available.

Message received at 46327 <at> debbugs.gnu.org:


Received: (at 46327) by debbugs.gnu.org; 7 Feb 2021 14:11:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 09:11:56 2021
Received: from localhost ([127.0.0.1]:47158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8kn6-0005b7-Bf
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 09:11:56 -0500
Received: from quimby.gnus.org ([95.216.78.240]:36004)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l8kn4-0005ar-IA
 for 46327 <at> debbugs.gnu.org; Sun, 07 Feb 2021 09:11:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=quR/nK7VS496QfdMyiOaIeqfLd1BIQrgkr6KY8uGkmw=; b=q6L7VdBN1AEAn3nmZpRnbluG5b
 ekD11Q9UVwtJ9uul1m2s2aLRzzdsdYhN70RHxMAccH4NqWNcwNjUmQ7X0/08/ffDzAQp506VEb5ZH
 hG5oliz412UJ+IPQmAbRWUt7bTYkrR8Im8CSUaBJBDBc4G6pm53cHdPmkP/TxnCQ/Bu0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l8kmw-00016i-51; Sun, 07 Feb 2021 15:11:48 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juang Dse <juangdse@HIDDEN>
Subject: Re: bug#46327: 28.0.50; octave-mode: transpose-quotes taken as
 string-quotes
References: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
 <87a6sg6n88.fsf@HIDDEN>
 <CAGEcx2Qb_eW0t9V6h8_2UcHnywwR3FwOmGe6+mP5tJzTVf5bAA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAALVBMVEW3jhS8kRXEmBa5
 jQ3BkQvr3aPPqTnt69na18XOybfCvKuzrJzXtk+kk3H///98i5JfAAAAAWJLR0QOb70wTwAAAAd0
 SU1FB+UCBw4IGyVoJaYAAAFvSURBVDjLrdTRcYMgGAdw3QDIAoXYLpAR4grdoBd96DuYDiDaAcQ6
 gHIZINpe3nodotNUCAqacn3p/yEn+eXTwAcGgQ3Qn2GwCLwmACEM1QVYwZwJ1K+IBxDB1+8QXgAi
 BghRVxbUEGGCMdFyNz+bLOMF/AdAH+g/9XvFZhfH+3i3jyeZ4P7R5MmFsSChrBYnmdNPB0IFrBya
 eqjzFWyTrHoVDR1aB9TKbhLBBOciqyzovmxSqYDLswWgYJt2NKOsKtpVRZSKYvh4/y6EBd2bbcoL
 ejm/OKALSJTyjl76ppcLQChKK96N82D9EkiUiHNGj+48Qr3iUcJpXuaS2nlAA3l7zN9o391AVg5l
 LUXvANbA6pNsZN06QDRQysYlYXbZTVMfDofnr8MYsoIo1nFa62wDtXuJBfJ7AvR/ALEPkA8g9ALy
 AfQCRGPX9SlcgznH6iib++LrLrGZChSorQhuZH6XgGABWA3n5yCAkRH8AyESw+NI6ndTAAAAJXRF
 WHRkYXRlOmNyZWF0ZQAyMDIxLTAyLTA3VDE0OjA4OjI3KzAwOjAwWxoOUQAAACV0RVh0ZGF0ZTpt
 b2RpZnkAMjAyMS0wMi0wN1QxNDowODoyNyswMDowMCpHtu0AAAAASUVORK5CYII=
X-Now-Playing: Steven Doman's _Oscarsongs_: "Uniform On"
Date: Sun, 07 Feb 2021 15:11:44 +0100
In-Reply-To: <CAGEcx2Qb_eW0t9V6h8_2UcHnywwR3FwOmGe6+mP5tJzTVf5bAA@HIDDEN>
 (Juang Dse's message of "Sun, 7 Feb 2021 15:04:56 +0100")
Message-ID: <87tuqo3r33.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juang Dse <juangdse@HIDDEN> writes: > Note that the '
 character
 as a string occurs only in pairs, which is > (hopefully) unambiguous. Can
 an Octave string span several lines? In that case, it's ambiguous whether
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46327
Cc: 46327 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juang Dse <juangdse@HIDDEN> writes:

> Note that the ' character as a string occurs only in pairs, which is
> (hopefully) unambiguous.

Can an Octave string span several lines?  In that case, it's ambiguous
whether

x = [2 2]'
disp(x)

is a transpose character, or an error (with a forgotten ' somewhere), I
guess.

Anyway, I'm reverting the patch, and reopening the other bug report
(bug#25517), which was about

x = 'foo'

not being fontified as a string.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46327; Package emacs. Full text available.

Message received at 46327 <at> debbugs.gnu.org:


Received: (at 46327) by debbugs.gnu.org; 7 Feb 2021 14:05:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 09:05:12 2021
Received: from localhost ([127.0.0.1]:47144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8kga-0005Pk-Ey
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 09:05:12 -0500
Received: from mail-qt1-f176.google.com ([209.85.160.176]:39376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juangdse@HIDDEN>) id 1l8kgX-0005PN-OL
 for 46327 <at> debbugs.gnu.org; Sun, 07 Feb 2021 09:05:10 -0500
Received: by mail-qt1-f176.google.com with SMTP id e11so8585110qtg.6
 for <46327 <at> debbugs.gnu.org>; Sun, 07 Feb 2021 06:05:09 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=dZmS5oZ3NcsxAoSDJMdVefpcdhDzHx+o1CA5jzisylc=;
 b=aMlLkQ6Pt1t0pZ/zxCpCleHJ2BrF7oAufyZtC9p4XqjQyHBhAsQ3n7e9Z6DhUVuBZs
 du0zVqyq72jE0PC4iqA/SPG477bDGOX7XNCSeMJHrMNNb5W+uOfj9kf0y9oXEFk5QY/L
 3P4Uf7WmfzysUijKhxpTSDSGc2td7E4lg+oUGvj8vgxik4y6EVemYy/DgnPycLvL8eNI
 b07bNIq+UK5ptgbSfaY6m8vZhg9jiLMXFMygBtsJpelkm6LK7XNfHSqTaRaLiD7jB4Mb
 h1/Dyj6LXWfbojykLZL7fZYPYsu3VCPVcK4cGCI9IXSSGadsyT2RWcgT0ggLtiDEJeAa
 QXaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=dZmS5oZ3NcsxAoSDJMdVefpcdhDzHx+o1CA5jzisylc=;
 b=f4Yd79WWMcA9nq4PHbAPoFe4a+tvTWeBS0IEZOeFtiNbfL5/1PeZjZRruuNjwIsFFU
 b0EeAgGQAwh09dqiEysh2uL7L0Vf8QsyCcsoXHDwhT9Z/vidTsHFbBMqX/MOtnysPIRR
 3YsFAGFS8LViFRaAMX/OGcaVrHkcv/IqEXyqxSYrw38wDHJpqJpwqthpHRdc34ePVO0F
 Ase5D/sG+pg2fzoR/XNwzbNRgk2CgKpMbjOW1OgHRZokj7kiwJy3o7w72h3plgzPHDLU
 KlsuzEBGHs05zm7OOy+0m6Syat2njOCQWP48wJgjqMK3dpuqpiXSbrdHbcSk4eG9m9b9
 0w1w==
X-Gm-Message-State: AOAM532790xuODurRnUWFxGwqxsokWnyT9LevpQreFAeZwpj84CGOusH
 rKorOAewYBxHP7L1u+VuTtjmrsQG+IkOUUmRMToZgNQy
X-Google-Smtp-Source: ABdhPJyJiQEcIMqvSmxCy5LAT5xdhLyQkEAi5oedDCZNdSol+FItiejsAjxSwA0ztfG7CLGT3V5MialEaruQKTTjfn4=
X-Received: by 2002:ac8:76d2:: with SMTP id q18mr12180584qtr.254.1612706704277; 
 Sun, 07 Feb 2021 06:05:04 -0800 (PST)
MIME-Version: 1.0
References: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
 <87a6sg6n88.fsf@HIDDEN>
In-Reply-To: <87a6sg6n88.fsf@HIDDEN>
From: Juang Dse <juangdse@HIDDEN>
Date: Sun, 7 Feb 2021 15:04:56 +0100
Message-ID: <CAGEcx2Qb_eW0t9V6h8_2UcHnywwR3FwOmGe6+mP5tJzTVf5bAA@HIDDEN>
Subject: Re: bug#46327: 28.0.50;
 octave-mode: transpose-quotes taken as string-quotes
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46327
Cc: 46327 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

indeed, the ' character is the transpose operator (like in matlab),
and that patch makes emacs essentially useless for octave. Without it,
everything looks fine as I just verified.

Note that the ' character as a string occurs only in pairs, which is
(hopefully) unambiguous.

On Sun, Feb 7, 2021 at 2:06 PM Lars Ingebrigtsen <larsi@HIDDEN> wrote:
>
> Juang Dse <juangdse@HIDDEN> writes:
>
> > octave-mode takes the transpose sign (') for a string quote, and
> > indents incorrectly.
> >
> > This can be seen by the two lines
> > ---------------
> > x = [2 2]'
> > disp(x)
> > ---------------
> > and using indent-for-tab-command (TAB) for the 2nd line.
>
> This is due to the following patch:
>
> commit 9e68413c7f0a7f71e1cee923ace7282d14c2e686
> Author:     Noam Postavsky <npostavs@HIDDEN>
> AuthorDate: Mon Aug 24 17:33:49 2020 +0200
>
>     Fix inferior octave single-quote font lock
>
>     * lisp/progmodes/octave.el (octave-mode-syntax-table): Fix
>     fontification of single quotes in inferior octave mode (bug#25517).
>
>     It looks like the problem is that octave-mode-syntax-table sets single
>     quotes as punctuation even though GNU Octave's manual says single quotes
>     are string syntax [1].
>
>     [1]:
>     https://www.gnu.org/software/octave/doc/interpreter/String-Objects.html
>
> And, indeed, that link says:
>
> "A character string in Octave consists of a sequence of characters
> enclosed in either double-quote or single-quote marks."
>
> But the ' character is also a transposition operator?  I don't know
> Octave at all -- this seems like a rather ambiguous syntax?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46327; Package emacs. Full text available.

Message received at 46327 <at> debbugs.gnu.org:


Received: (at 46327) by debbugs.gnu.org; 7 Feb 2021 13:07:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 07 08:07:03 2021
Received: from localhost ([127.0.0.1]:47063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l8jmJ-00063g-6n
	for submit <at> debbugs.gnu.org; Sun, 07 Feb 2021 08:07:03 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35182)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l8jmH-00063C-9Q
 for 46327 <at> debbugs.gnu.org; Sun, 07 Feb 2021 08:07:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=CI88yWONwHOFP2Md2HRCRW8QGFO43XtMgR1Rie8HcfU=; b=YFT3Jzf+JS30zBgqNb6NuMAaLw
 iL/0Zh12ZribawH/hdmQM7HBt/SBA4YaV7drBpKQr8ledI75TxsTR9BrBqe8er72tzHZExtaMD7/S
 snXeu7qHMMdwqYjXeeHUXlLLeva9QnWEexPEqzC6dGfv1WpDxkERKDECX4qFAOj7jSI0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l8jm4-0000T6-Su; Sun, 07 Feb 2021 14:06:55 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juang Dse <juangdse@HIDDEN>
Subject: Re: bug#46327: 28.0.50; octave-mode: transpose-quotes taken as
 string-quotes
References: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
X-Now-Playing: James White and the Blacks's _Off White_: "(Tropical) Heat Wave"
Date: Sun, 07 Feb 2021 14:06:47 +0100
In-Reply-To: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
 (Juang Dse's message of "Fri, 5 Feb 2021 15:02:50 +0100")
Message-ID: <87a6sg6n88.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juang Dse <juangdse@HIDDEN> writes: > octave-mode takes
 the transpose sign (') for a string quote, and > indents incorrectly. > >
 This can be seen by the two lines > > x = [2 2]' > disp(x) > > and using
 i [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46327
Cc: 46327 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juang Dse <juangdse@HIDDEN> writes:

> octave-mode takes the transpose sign (') for a string quote, and
> indents incorrectly.
>
> This can be seen by the two lines
> ---------------
> x = [2 2]'
> disp(x)
> ---------------
> and using indent-for-tab-command (TAB) for the 2nd line.

This is due to the following patch:

commit 9e68413c7f0a7f71e1cee923ace7282d14c2e686
Author:     Noam Postavsky <npostavs@HIDDEN>
AuthorDate: Mon Aug 24 17:33:49 2020 +0200

    Fix inferior octave single-quote font lock
    
    * lisp/progmodes/octave.el (octave-mode-syntax-table): Fix
    fontification of single quotes in inferior octave mode (bug#25517).
    
    It looks like the problem is that octave-mode-syntax-table sets single
    quotes as punctuation even though GNU Octave's manual says single quotes
    are string syntax [1].
    
    [1]:
    https://www.gnu.org/software/octave/doc/interpreter/String-Objects.html

And, indeed, that link says:

"A character string in Octave consists of a sequence of characters
enclosed in either double-quote or single-quote marks."

But the ' character is also a transposition operator?  I don't know
Octave at all -- this seems like a rather ambiguous syntax?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46327; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Feb 2021 14:03:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 05 09:03:09 2021
Received: from localhost ([127.0.0.1]:43222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l81hU-0000TL-MU
	for submit <at> debbugs.gnu.org; Fri, 05 Feb 2021 09:03:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:56204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juangdse@HIDDEN>) id 1l81hS-0000TD-TG
 for submit <at> debbugs.gnu.org; Fri, 05 Feb 2021 09:03:07 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33592)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juangdse@HIDDEN>)
 id 1l81hS-0004Ph-Kv
 for bug-gnu-emacs@HIDDEN; Fri, 05 Feb 2021 09:03:06 -0500
Received: from mail-qt1-x82f.google.com ([2607:f8b0:4864:20::82f]:33837)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <juangdse@HIDDEN>)
 id 1l81hP-0000tA-HR
 for bug-gnu-emacs@HIDDEN; Fri, 05 Feb 2021 09:03:06 -0500
Received: by mail-qt1-x82f.google.com with SMTP id c1so5014472qtc.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 05 Feb 2021 06:03:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=ntKCq7BigXV+jOZGrUgJ0pTFGj7+dm+z4d6XsL8HZBw=;
 b=Al0q0cRcWcHwsfUPsrse8YeGecvGuiMRmoIV84+/cBE7xhhWo0AzIcnscqS/WXUxCU
 UuPXo8ezZ6jZzimVDIvZvmswznWk6kdJdpOMby8SRUyOOpiY5ptSSyhQ9aD1My/oam9F
 NMAnPXvbWexdGqQHlIzYdUg3DNEqS4vT7MOjJDoidh7NdHVnT4I6qt+akkmFRI5xQ3jd
 bI23Vm8E2MK4n5EX/4Py/5cVxZza6QHvNjbHpOVmzByh3OHAMh/zp3ZBXG4xSM3sNpak
 /WnuNQpMubwKENmXHtEkstf6bCVQTf6fIypRqkMTmtW9itNVDkOW6czMLKWQ1lmDwcGp
 MDTw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=ntKCq7BigXV+jOZGrUgJ0pTFGj7+dm+z4d6XsL8HZBw=;
 b=sXuJbe21fo/9uOURc+iCOfGcoZkM6v6JkswyBe15dcc9jZDddDhZqpbt7nbjsg/8Vj
 XDld4cVb39BnEU1wqDaB21a+O3whXzY4Ysiexz7uEJxpeDv8bnv9wybPZRVJ8U7pmDZM
 f9zGYDdxVQDf0F7F2sKZV1DLXNLRuhsUu0UvSxUw0ym510m+CAUk80i7JY0rZuJa7yp6
 lL1UqEVIiZdLM5eZvCv0DC4nKR14Q5EBmsUOW0DAWc3SJe83haiTQnnKLz1UUSb1WxHQ
 RZ8hAGxJl72TzrkhH3FRlgJ0IBM6ZMwBkH+KkF8PG2oRuKFRUj0HLebk3LZdOVg+7T5T
 fxRQ==
X-Gm-Message-State: AOAM533piUQ/rw9d7gfA/9htqSx974JKDNpUbzZeaCFugKhX4pSXv/Jf
 J/iCvZD3X8rKkf0/KxXc6XjFcHQrQvUTeeb1bbYJQ0/c7PU=
X-Google-Smtp-Source: ABdhPJzqfsRL2JVHhpaIizeXe7/EcCdujl23d3a0rqYhpNmXlDcrArLYLeCaXNYdPit5wwF6oocgamrVPDlXIdbzVhU=
X-Received: by 2002:ac8:76d2:: with SMTP id q18mr4480758qtr.254.1612533780781; 
 Fri, 05 Feb 2021 06:03:00 -0800 (PST)
MIME-Version: 1.0
From: Juang Dse <juangdse@HIDDEN>
Date: Fri, 5 Feb 2021 15:02:50 +0100
Message-ID: <CAGEcx2Q8eOQ=ZtrHYmSGMfE0XiH=qP7mG6dFr3N7xggYUabjrw@HIDDEN>
Subject: 28.0.50; octave-mode: transpose-quotes taken as string-quotes
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::82f;
 envelope-from=juangdse@HIDDEN; helo=mail-qt1-x82f.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

octave-mode takes the transpose sign (') for a string quote, and
indents incorrectly.

This can be seen by the two lines
---------------
x = [2 2]'
disp(x)
---------------
and using indent-for-tab-command (TAB) for the 2nd line.



In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
version 1.17.4, Xaw scroll bars)
 of 2021-02-05 built on mymachine
Repository revision: 9730575f3a2599be0a4f9c3d1ef5321bf1294e93
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Manjaro Linux

Configured using:
 'configure --prefix=/opt/emacs --without-docs --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM
LUCID ZLIB

Important settings:
  value of $LC_MONETARY: de_DE.UTF-8
  value of $LC_NUMERIC: de_DE.UTF-8
  value of $LC_TIME: de_DE.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  show-paren-mode: t
  recentf-mode: t
  savehist-mode: t
  image-diredx-async-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort octave smie comint ansi-color ring mail-extr emacsbug
message rmc puny rfc822 mml mml-sec gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils paren cus-start cus-load
recentf tree-widget wid-edit savehist epa-file epa derived epg
epg-config image-dired+ image-dired image-mode exif dired dired-loaddefs
advice cl info package easymenu browse-url url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
mailcap url-handlers url-parse auth-source cl-seq eieio eieio-core
cl-macs eieio-loaddefs password-cache json subr-x map url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib iso-transl
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 93033 5796)
 (symbols 48 11171 4)
 (strings 32 33831 1230)
 (string-bytes 1 1078718)
 (vectors 16 16794)
 (vector-slots 8 214572 11574)
 (floats 8 45 35)
 (intervals 56 384 0)
 (buffers 984 10))




Acknowledgement sent to Juang Dse <juangdse@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46327; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 7 Feb 2021 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.